darcs

Issue 91 --match help ?

Title --match help ?
Priority wishlist Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, hanwen, kowey, thorkilnaur, tommy
Assigned To
Topics

Created on 2006-01-10.23:09:51 by hanwen, last changed 2009-08-27.13:50:15 by admin.

Messages
msg351 (view) Author: hanwen Date: 2006-01-10.23:09:50
It would be nice if

  darcs --match help

or

  darcs --match-help

would show all possible matching rules.

I keep forgetting them, and --help is always closer than the manual.
msg366 (view) Author: droundy Date: 2006-01-13.14:47:37
On Tue, Jan 10, 2006 at 11:09:51PM +0000, Han-Wen Nienhuys wrote:
> It would be nice if
> 
>   darcs --match help
> 
> or
> 
>   darcs --match-help

Sounds like a good idea, but I think that

  darcs help --match

would be a better solution.  It would have the same format as ordinary
darcs commands, which would make our command-line parsing prettier and the
code cleaner, and would readily be extended to add other darcs help topics
(and darcs help --help could list what help topics are available!).
-- 
David Roundy
http://www.darcs.net
msg1870 (view) Author: kowey Date: 2007-07-19.04:30:09
darcs help --match has made it to dacrs 1.0.9.  Thanks for the idea.  Resolving.
History
Date User Action Args
2006-01-10 23:09:51hanwencreate
2006-01-13 14:40:55droundyset
2006-01-13 14:47:38droundysetstatus: unread -> unknown
messages: + msg366
2007-07-19 04:30:12koweysetstatus: unknown -> resolved
nosy: + kowey, beschmi
messages: + msg1870
2009-08-06 17:34:36adminsetnosy: + markstos, jast, Serware, dmitry.kurochkin, darcs-devel, zooko, dagit, mornfall, simon, thorkilnaur, - droundy, hanwen
2009-08-06 20:31:57adminsetnosy: - beschmi
2009-08-10 22:21:19adminsetnosy: + hanwen, - markstos, darcs-devel, zooko, jast, dagit, Serware, mornfall
2009-08-25 17:49:10adminsetnosy: + darcs-devel, - simon
2009-08-27 13:50:15adminsetnosy: tommy, kowey, darcs-devel, hanwen, thorkilnaur, dmitry.kurochkin